"""Test CLI"""

import unittest
from click.testing import CliRunner

import obsctl.cli


class CliTest(unittest.TestCase):
    """Basic plumbing test against help."""

    def setUp(self):
        self.runner = CliRunner()

    def test_help_command(self):
        """Test the help command."""
        result = self.runner.invoke(obsctl.cli.cli, ["--help"])
        assert result.exit_code == 0
        assert "obsctl" in result.output
